{
  config,
  pkgs,
  lib,
  ...
}:
with lib;
let
  cfg = config.themes.v.catppuccin;
in
{
  options.themes.v.catppuccin = {
    enable = mkEnableOption "catppuccin";
  };
  config = mkIf cfg.enable {
    catppuccin = {
      enable = true;
      flavor = "frappe";
      accent = "pink";

      waybar.enable = false;

      mako.enable = false;
      rofi.enable = true;

      hyprland.enable = true;
      kitty.enable = true;

      kvantum.enable = true;
    };

    # home.pointerCursor = {
      # name = "Bibata_Ghost";
      # size = 24;
      # package = pkgs.bibata-cursors-translucent;
    # };

    programs.kitty = {
      # themeFile = "Catppuccin-Frappe";
      font.name = "DejaVuSansMono Nerd Font";
    };

    gtk = {
      enable = true;
      iconTheme = {
        name = "Papirus-Dark";
        package = pkgs.papirus-icon-theme.override { color = "violet"; };
      };
      # cursorTheme = {
        # inherit (config.home.pointerCursor) name package size;
      # };
    };

    qt = {
      enable = true;
      # platformTheme = "qtct";
      style.name = "kvantum";
      platformTheme.name = "kvantum";
    };

  };
}
