# Config options needed for various university courses
{ pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [ ];

  users.extraGroups.plugdev = { };
  users.extraUsers.vivian.extraGroups = [
    "dialout"
    "plugdev"
  ];

  programs.nix-ld = {
    enable = true;
    package = pkgs.nix-ld-rs;
    libraries = [

    ];
  };

  services.udev.packages = [
    pkgs.openocd # This should(?) be the same as the probe-rs rules below, but just to be sure
    (pkgs.writeTextFile {
      name = "probe-rs-udev";
      destination = "/etc/udev/rules.d/69-probe-rs.rules";
      text = builtins.readFile ./69-probe-rs.rules;
    })
  ];
}
